Upgrading to macOS Catalina? Better not yet

2 posts / 0 new
Last post
andre's picture
andre
Offline
Last seen 13 hours 54 min ago

Upgrading to macOS Catalina? Better not yet

While Synfire seems to run without problems (as tested so far), upgrading to macOS 10.15 Catalina is a risky thing at this time, as many hardware (drivers!) are no longer supported on that operating system. If you have software or hardware around that is older than a few years, you should NOT upgrade immediately, according to the linked summary below.

I've found some informative and helpful advice on pro-tools-expert.com.

I suspect current versions of Synfire and HN are merely still running because they are built on 10.14 Mojave. Once we upgraded our tool chain to 10.15, it might no longer be possible for Catalina to magically grandfather in old code.

Please post anything related here, so we can share our knowledge to make this a bump-free experience, if possible.

andre's picture
andre
Offline
Last seen 13 hours 54 min ago

To install Synfire and HN on Catalina, please open the downloaded installer package with a right-click and select 'Open'.

Then click on 'Open' in the window that appears.

FIY: The initial warning ('Not from a registered Apple developer') is nonsense. It's merely for technical reasons that we can't use a DMG disk image for distribution (as recommended by Apple) and need to resort to a multiple-package installer, which can not be digitally signed as a whole, although every package it includes is properly digitally signed.

Log in or register to post comments

Scholarly Lite is a free theme, contributed to the Drupal Community by More than Themes.